### Method

# Gck Enumerator next_finish

#### Declaration [src]

    GList*
    gck_enumerator_next_finish (
      GckEnumerator* self,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Complete an operation to enumerate next objects.

`NULL` is also returned if the function fails. Use the `error` to determine whether a failure occurred or not.

#### Parameters

`result`

  Type: `GAsyncResult`

  The result passed to the callback.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: A list of `GckObject*`

A list of `Gck.Object`s.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.